Package python-httpbin

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-httpbin in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-httpbin-0.7.0-1.fc29
    • × python(abi) = 2.7
  • python3-httpbin-0.7.0-1.fc29
    • python(abi) = 3.6

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Dependencies

Run time

1 Python 3 only; 9 Dual support; 1 Dropped
Package Upstream Fedora
  brotli  
  python-blinker  
  python-decorator  
  python-flask   bug (CLOSED ERRATA)
  python-itsdangerous  
  python-markupsafe  
  python-raven  
  python-six   bug (CLOSED CURRENTRELEASE)
  python-werkzeug   bug (CLOSED ERRATA)
  python3   bug (NEW)
  python2   X

Build time

1 Python 3 only; 10 Dual support; 1 Dropped
Package Upstream Fedora
  brotli  
  python-blinker  
  python-decorator  
  python-flask   bug (CLOSED ERRATA)
  python-itsdangerous  
  python-markupsafe  
  python-raven  
  python-setuptools  
  python-six   bug (CLOSED CURRENTRELEASE)
  python-werkzeug   bug (CLOSED ERRATA)
  python3   bug (NEW)
  python2   X